mkhtmlindex(1)

NAME
mkhtmlindex - generate index files for HTML man pages

SYNOPSIS
mkhtmlindex htmlmandir

DESCRIPTION
The mkhtmlindex program generates index files for a directory of HTML-formatted manual pages. It searches for files whose names are of the form “name.1.html”, and outputs index files “manindex1.html”, “manindex.2.html”, and so on, one for each manual volume. Empty index files will be removed. Names and descriptions are found by scanning the first <H2> section of each page.

OPTIONS
mkhtmlindex takes only one argument: the directory to process.

NOTES
This utility is currently rather specific to X manual pages. In particular, the format of the index files it outputs is not configurable, nor is the HTML formatting it expects of manual pages.

AUTHOR
The version of the mkhtmlindex included in this X.Org Foundation release was originally written by David Dawes wrote as a part of XFree86.

Colin Watson wrote this manual page, originally for the Debian Project.